<div class="edit-form">
	<div class="row">
		<div class="col-xs-12 col-sm-6">
			<div class="edit-form__header">
				<h1 class="title"><?php echo $this->InflectorExt->camelToPluralize($displayName); ?> <span>Administration</span></h1>
			</div>
		</div>
		<div class="col-xs-12 col-sm-6">
			<?php echo $this->Element('toolbar'); ?>
		</div>
	</div>

	<div class="row">
		<div class="col-xs-12 col-md-8">
			<?php
			echo $this->Html->script(
				array(
					'admin_form',
					'attachments',
					'tinymce/js/tinymce/tinymce.min',
					'map_location'
				),
				array('inline'=>false)
			);

			$colClass = 'col-xs-12';

			$cols = 1;

			if (! empty($this->request->data['Order']['billing_address'])):
				$cols++;
			endif;

			if (! empty($this->request->data['Order']['delivery_address'])):
				$cols++;
			endif;

			if ($cols == 2):
				$colClass = 'col-xs-12 col-sm-6';
			elseif ($cols>= 3):
				$colClass = 'col-xs-12 col-sm-4';
			endif;
			?>
			<div class="row">

				<div class="<?=$colClass?>">
					<div class="panel panel-primary">
						<div class="panel-heading">
							<h3 class="panel-title">Details</h3>
						</div>
						<div class="panel-body">
							Order #<?=$this->request->data['Order']['id']?><br>
							Status: <?=$this->request->data['OrderStatus']['name']?><br>
							Name: <?=$this->request->data['Order']['name']?><br>
							Email: <?=$this->Text->autoLinkEmails($this->request->data['Order']['email'])?><br>

							<?php if (! empty($this->request->data['Order']['phone'])):?>
								Phone: <?=$this->request->data['Order']['phone']?><br>
							<?php endif; ?>

							<?php if (isset($this->request->data['Order']['is_guest_checkout']) && $this->request->data['Order']['is_guest_checkout']): ?>
								<span class="label label-danger">Guest Checkout</span><br>
							<?php endif; ?>

							<?php if (isset($this->request->data['Order']['is_paid']) && $this->request->data['Order']['is_paid']): ?>
								<span class="label label-success">ORDER PAID</span>
							<?php endif; ?>

							<?=$this->Element('EvCheckout.order-data-rows')?>
						</div>
					</div>
				</div>

				<?php if (! empty($this->request->data['Order']['billing_address'])): ?>
					<div class="<?=$colClass?>">
						<div class="panel panel-primary">
							<div class="panel-heading">
								<h3 class="panel-title">Billing Address</h3>
							</div>
							<div class="panel-body">
								<?=$this->request->data['Order']['billing_address']?>
							</div>
						</div>
					</div>
				<?php endif; ?>
				<?php if (! empty($this->request->data['Order']['delivery_address'])): ?>
					<div class="<?=$colClass?>">
						<div class="panel panel-primary">
							<div class="panel-heading">
								<h3 class="panel-title">Delivery Address</h3>
							</div>
							<div class="panel-body">
								<?=$this->request->data['Order']['delivery_address']?>
							</div>
						</div>
					</div>
				<?php endif; ?>


			</div>

			<div class="row">
				<div class="col-xs-12 col-sm-6">
					<h1 class="title">Order <span>Items</span></h1>
				</div>
				<div class="col-xs-12 col-sm-6 text-right">
					<h3 style="line-height:38px;">
						<?php
							echo count($this->request->data['OrderItem']) . ' item(s) totalling ';

							$grandTotal = end($this->request->data['OrderTotal']);

							echo $this->Number->currency(
								$grandTotal['amount'],
								$currencies[$this->request->data['Order']['currency_id']]
							);
						?>
					</h3>
				</div>
			</div>
			<?php
				if (! empty($hasOrderItemStatuses)):
					echo $this->Form->create('OrderItem', array(
							'url' => array(
								'plugin' => 'ev_checkout',
								'controller' => 'order_items',
								'action' => 'update_statuses',
							),
							'onsubmit' => "return confirm('Please confirm that you would like to update the item status');"
						)
					);
				endif;
			?>
			<div class="row">
				<div class="col-xs-12">
					<table class="results results-borderless">
						<thead>
							<tr>
								<th>Item</th>
								<?php
									if (! empty($hasOrderItemStatuses)):
								?>
										<th>Item Status</th>
								<?php
									endif;
								?>
								<th>Price</th>
								<th>Quantity</th>
								<th class="basket__total">Total</th>
							</tr>
						</thead>

						<tbody>
							<?php
								if (! empty($this->request->data['OrderItem'])):
									$i = 0;

									foreach ($this->request->data['OrderItem'] as $Item):
							?>
										<tr>
											<td>
												<?=$Item['name']?><br>
												<?php if (! empty($Item['OrderItemData'])): ?>
													<?php foreach ($Item['OrderItemData'] as $label => $value): ?>
														[<?=$label?>: <?=$value?>]
													<?php endforeach; ?>
												<?php endif; ?>
											</td>
											<?php
												if (! empty($hasOrderItemStatuses)):
											?>
													<td>
														<?php
															echo $this->Form->input('OrderItem.' . $i . '.id', [
																'type' => 'hidden',
																'value' => $Item['id']
															]);

															echo $this->Form->input('OrderItem.' . $i . '.order_id', [
																'type' => 'hidden',
																'value' => $Item['order_id']
															]);

															echo $this->Form->select(
																'OrderItem.' . $i . '.order_item_status_id',
																$orderItemStatuses,
																[
																	'class' => 'form-control',
																	'empty' => false,
																	'value' => ! empty($Item['order_item_status_id']) ? $Item['order_item_status_id'] : false

																]
															);
														?>
													</td>
											<?php
												endif;
											?>
											<td><?=$this->Number->currency($Item['unit_price'], $currencies[$this->request->data['Order']['currency_id']])?></td>
											<td><?=$Item['quantity']?></td>
											<td class="basket__total">
												<?=$this->Number->currency($Item['row_total'], $currencies[$this->request->data['Order']['currency_id']])?>
											</td>
										</tr>
							<?php
										$i++;
									endforeach;
								endif;
							?>
						</tbody>

						<tfoot>
							<?php
								if (! empty($this->request->data['OrderTotal'])):
									$totalsColSpan = ! empty($hasOrderItemStatuses) ? 4 : 3;
									foreach ($this->request->data['OrderTotal'] as $Total):
							?>
										<tr>
											<td colspan="<?= $totalsColSpan ?>" class="text--right">
												<strong><?= $Total['name'] ?></strong>
											</td>
											<td class="basket__total">
												<?php
													$displayTotal = $Total['amount'];
													if (!empty($Total['display_ex_tax']) && $Total['display_ex_tax'] > 0):
														$displayTotal = $Total['display_ex_tax'];
													endif;

													echo $this->Number->currency(
														$displayTotal,
														$currencies[$this->request->data['Order']['currency_id']]
													);
												?>
											</td>
										</tr>
							<?php
									endforeach;
								endif;
							?>
						</tfoot>
					</table>
				</div>
			</div>
			<?php
				if (! empty($hasOrderItemStatuses)):
			?>
					<div class="row">
						<div class="col-xs-12">
							<div class="text-right" style="padding-bottom:20px;padding-top:20px;">
								<?php
									echo $this->Form->button('Save Item Status', [
										'class' => 'btn btn-primary btn-save-statuses',
										'type' => 'submit'
									]);
								?>
							</div>
						</div>
					</div>
			<?php
					echo $this->Form->end();
				endif;
			?>
		</div>
		<div class="col-xs-12 col-md-4">

			<div class="panel panel-primary">
				<div class="panel-heading">
					<h3 class="panel-title">Actions</h3>
				</div>
				<div class="panel-body">

					<?php if (! isset($this->request->data['Order']['is_paid']) || ! $this->request->data['Order']['is_paid']): ?>
						<?php
							echo $this->Form->create(
								$primaryModel,
								array(
									'url' => array(
										'action' => 'pay',
									)
								)
							);
								echo $this->Form->button(
									__('Mark as Paid'),
									array(
										'class' => 'btn btn-success btn-block',
										'onclick' => "return confirm('Are you sure you wish to mark this order as paid?');"
									)
								);

							echo $this->Form->end();
						?>
						<br>
						<hr>
					<?php
					endif;

					echo '<div class="row">';
						echo $this->Form->create(
							$primaryModel,
							array(
								'url' => array(
									'action' => 'status'
								),
								'onsubmit' => "return confirm('Are you sure you wish to update the status of this order?');"
							)
						);
						echo '<div class="col-xs-12">';
							echo $this->Form->addField(
								'Order.order_status_id',
								array(
									'type' => 'select',
									'div' => false,
									'label' => false
								)
							);
						echo '</div>';
						echo '<div class="col-xs-12">';

							echo $this->Form->button(
								__('Change Status'),
								array(
									'class' => 'btn btn-danger btn-block change-status'
								)
							);
						echo '</div>';

						echo $this->Form->end();
					echo '</div>';
					?>
				</div>
			</div>


			<?=$this->element('EvCheckout.transactions')?>

			<div class="panel panel-primary">
				<div class="panel-heading">
					<h3 class="panel-title">Order Notes</h3>
				</div>
				<div class="panel-body">
					<?=$this->Form->create('Order', array(
						'url' => array(
							'plugin' => 'ev_checkout',
							'admin' => true,
							'controller' => 'orders',
							'action' => 'notes',
							$this->request->data['Order']['id']
						)
					))?>
						<div class="row">
							<div class="col-xs-12">
								<?=$this->Form->addField('admin_notes', array(
									'type' => 'textarea',
									'rows' => 5,
								))?>
							</div>
						</div>
						<br>
						<div class="row">
							<div class="col-xs-12">
								<?=$this->Form->addField('notes', array(
									'type' => 'textarea',
									'rows' => 5,
									'label' => 'Order Notes (visible to customers)'
								))?>
							</div>
						</div>
						<br>
						<div class="row">
							<div class="col-xs-12 text-center">
								<?=$this->Form->button('Save Notes', array(
									'type' => 'submit',
									'name' => 'submit',
									'class' => 'btn btn-primary'
								))?>
							</div>
						</div>


					<?=$this->Form->end()?>
				</div>
			</div>
		</div>
	</div>
</div>
